<?php
/**
 * @version 1.5
 * @package RealEstateManager New
 * @copyright 2009 OrdaSoft
 * @author 2009 Sergey Drughinin-OrdaSoft(Sergey.dru@gmail.com)
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @description RealEstateManager New for RealEstateManager Component
*/


/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );
$database = &JFactory::getDBO();

if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

$selectstring = "SELECT id FROM #__menu WHERE link='index.php?option=com_realestatemanager'";
$database->setQuery($selectstring);
$ItemId_tmp = $database->loadResult();


$moduleclass_sfx = $params->get('moduleclass_sfx', '');
$count = intval($params->get('count',1));
$g_words = $params->get('words','');
$showtitle = $params->get ('showtitle', '');
$showauthor = $params->get ('showbroker', '');
$showcover	= $params->get ('showimage', 1);
$displaytype	= $params->get ('displaytype', 0);
$coversize	= $params->get ('imagesize', '127');
$sortnewby	= $params->get ('sortnewby', 0);

switch($sortnewby) {
case 0:
	$sql_orderby_query = "date";	// Last Edited
	break;
case 1:
	$sql_orderby_query	= "id";		// Last Added
	break;
}

$selectstring = "SELECT * FROM #__rem_houses AS a WHERE published=1 ".
           "\nORDER BY ".$sql_orderby_query." DESC LIMIT 0,$count;"; 

$database->setQuery($selectstring);
$rows = $database->loadObjectList();

?> 
    <table cellpadding="1" cellspacing="1" class="moduletable" width="100%">
<?php	
 if($displaytype==1) { // Display Horizontal         
?>
     <tr valign="top">           
<?php	
} 
?>
        
<?php foreach ($rows as $row) { 
		$comment = $row->description;
		$prevwords = count(explode(" ",$comment));
		if(trim($g_words == "" )) $words = $prevwords;
 		else $words = intval($g_words);
		$text = implode(" ", array_slice(explode(" ",$comment), 0, $words));
		if (count(explode(" ",$text))<$prevwords){
		  $text .= "";
		}
	
		   $link1 ="index.php?option=com_realestatemanager&amp;task=view&amp;id=".$row->id."&amp;catid=".$row->catid."&amp;Itemid=".$ItemId_tmp;
		//for local images
		$imageURL = $row->image_link;
		if($imageURL != '' && substr($imageURL,0,4) != "http")
		{
			//$imageURL = JURI::base() . $row->imageURL;;
		
		$imageURL ="./components/com_realestatemanager/photos/".$row->image_link; 
		}
		if($imageURL == ''){
			$imageURL = "./components/com_realestatemanager/images/no-img_eng.gif";
		}

if($displaytype==1) { // Display Horizontal         
  if($showcover==1) { 
  ?>
        <td>
            <a href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">
 <img src="<?php echo $imageURL; ?>"  hspace="15" vspace="2" border="0" height="<?php echo $coversize; ?>" /></a>
		</td>
 <?php 
 	} //End Show Image If 
 ?>
		<td valign="top">
			<p><strong><?php 
			   if ($showtitle == "1") {
			   echo $row->htitle; 
			   } else {
			   print "&nbsp;";
			   }   
			?></strong><br/>By&nbsp;<?php 
			   if ($showauthor == "1") {
			   echo $row->broker;
			   } else {
			   print "&nbsp;";
			   }
			?><p><?php echo $text; ?></p>
		   <p><a class="readon" href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">Read Reviews...</a></p>
	      		
<?php 
	} else { 
//Display Vertical     
 ?>
 		<tr valign="top">
          <td>
            <a href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">
            <?php if($showcover==1) { ?>             
	            <img src="<?php echo $imageURL; ?>"  hspace="2" vspace="2" border="0" height="<?php echo $coversize; ?>" /></a>
			<?php } //End Show Image If?>
            <?php 
            if ($showtitle == "1") {
				echo $row->htitle; 
            } else {
        	    echo "&nbsp;";
            }   
            ?>  
                        
            <?php 
            if ($showauthor == "1") { 
				echo "<br />".$row->broker;
            } else {
	            echo "&nbsp;";
            }
            ?>
            <br />
            <p><?php echo $text; ?></p>
			<p><a class="readon" href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">Read more...</a></p>
            </td>            
        </tr>    
        <tr> <td>&nbsp; </td>
        </tr>
<?php
	} //End Display If
}
?>
<?php	
 if($displaytype==1) { // Display Horizontal         
?>
     </tr>           
<?php	
} 
?>

   </table>
